# Asterisk Project : Asterisk 13 ManagerAction_PJSIPNotify

Created by wikibot on Aug 08, 2014

# PJSIPNotify

### Synopsis

Send a NOTIFY to either an endpoint or an arbitrary URI.

### Description

Sends a NOTIFY to an endpoint or an arbitrary URI.

All parameters for this event must be specified in the body of this requestvia multiple `Variable: name=value` sequences.

Note

Icon

One (and only one) of `Endpoint` or `URI` must be specified. If `URI` is used, thedefault outbound endpoint will be used to send the message. If the default outbound endpoint isn't configured, this command can not send to an arbitrary URI.

### Syntax

    Action: PJSIPNotify
    ActionID: <value>
    [Endpoint:] <value>
    [URI:] <value>
    Variable: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Endpoint` - The endpoint to which to send the NOTIFY.
- `URI` - Abritrary URI to which to send the NOTIFY.
- `Variable` - Appends variables as headers/content to the NOTIFY. If the variable is named `Content`, then the value will compose the body of the message if another variable sets `Content-Type`. name=value

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538